Bug 202371 - Error message after the second DHCP request
Error message after the second DHCP request
Product: Fedora
Classification: Fedora
Component: libdhcp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Depends On:
  Show dependency treegraph
Reported: 2006-08-13 15:26 EDT by Felix Schwarz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-20 10:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2006-08-13 15:26:12 EDT
Description of problem:
If one selects the back button after the dhcp request was answered (got an ip),
pump always fails and displays the error message "There was an error configuring
your network interface". Therefore one can not progress to the next screens, a
successful installation is only possible after a reboot.

How reproducible:

Steps to Reproduce:
1. select an installation method which needs TCP/IP (e.g. http)
2. TCP/IP dialog: accept the standard selection, click ok
pump needs some time to time out for ipv6, gets an ipv4 ip.
3. HTTP configuration dialog: select "back"
4. you are in the TCP/IP dialog again - click next
"requesting ip" ...
=> Error message. 

Additional info:
In the console I see the following error message: 
add: failed - 17: Netlink Error (errno = File exists)
nic_configure: failed to add routes
DHCPv4 interface configuration failed
result of pumpSetupInterface is DHCP configuration failed - 1 Operation not
Comment 1 Jeremy Katz 2006-08-14 20:37:53 EDT
Note that pump is no longer being used by anaconda (hooray!)

I think David fixed this in libdhcp today, but assigning to him to make sure
Comment 2 Felix Schwarz 2006-09-20 03:21:44 EDT
verified fixed in FC6T3, requesting close.
Comment 3 David Cantrell 2006-09-20 10:36:08 EDT
Great, thanks.

Note You need to log in before you can comment on or make changes to this bug.